package sample;

import javafx.scene.Group;
import javafx.scene.shape.Circle;

public class Ball {
    float x, y, dx, dy, r;
    Circle c;

    Main parent;

    public Ball (float x, float y, float r, Main parent) {
        this.x = x;
        this.y = y;
        this.r = r;

        this.parent = parent;
        dx = 5;
        dy = 5;
        c = new Circle(x,y,r);
    }

    void move () {
        x += dx;
        y += dy;

        if (x>=parent.w || x<=0) {
            if (x>=parent.w) {
                parent.lPoints++;
            }
            if (x<=0) {
                parent.rPoints++;
            }
            parent.updateScore();
            x = parent.w/2;
            y = parent.h/2;
            dx *=-1;
        }

        if (x+r>=parent.batR.x && y>=parent.batR.y && y<=parent.batR.y+parent.batR.h) {
            dx *= -1;
        }

        if (x-r<=parent.batL.x+parent.batL.w && y>=parent.batL.y && y<=parent.batL.y+parent.batL.h) {
            dx *= -1;
        }

        if (y+r>=parent.h || y-r<=0) {
            dy *= -1;
        }

        c.setCenterX(x);
        c.setCenterY(y);
    }

    void addTo (Group rootElement) {
        rootElement.getChildren().add(c);
    }
}
