package sample;

import javafx.scene.Group;
import javafx.scene.shape.Rectangle;

public class Bat {
    float x,y,dy,w,h;
    Rectangle r;

    public Bat (float x, float y, float w, float h) {
        this.x = x;
        this.y = y;
        this.w = w;
        this.h = h;

        dy = 0;
        r = new Rectangle(x,y,w,h);
    }

    void addTo (Group g) {
        g.getChildren().add(r);
    }

    void move () {
        y += dy;
        if (y<0) y = 0;
        if (y>400) y = 400;
        r.setY(y);
    }

    void moveUp () {
        dy = -1;
    }

    void moveDown () {
        dy = 1;
    }

    void stop () {
        dy = 0;
    }
}
